| CMSIS-RTOS Version 1.02 CMSIS-RTOS API: Generic RTOS interface for Cortex-M processor-based devices.

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
osMessageQDef_t Struct Reference

Definition structure for message queue. More...

## Data Fields

uint32_t | queue_sz
| number of elements in the queue
uint32_t | item_sz
| size of an item
void * | pool
| memory array for messages

## Description

Note
  CAN BE CHANGED: os_messageQ_def is implementation specific in every CMSIS-RTOS.

## Field Documentation

uint32_t item_sz

void* pool

uint32_t queue_sz